.TH WEBIFY 1
.SH NAME
webify \- convert Postscript documents to Web HTML
.SH SYNOPSIS
.B webify
.RI [ -d ]
.RI [ -p ]
.RI [ -h ]
.RI [ -v ]
.RI [ "-Q quality" ]
.RI [ "-S size" ]
.RI [ "-T size" ]
.RI [ "-t title" ]
.I template
.I psfile
.RI [ subdir ]
.SH DESCRIPTION
.B Webify
is a UNIX program which converts an arbitrary, multipage Postscript
file to a tree of HTML files with JPEG images and thumbnails for
each page, using Ghostscript (the
.I gs
command) to do the conversion.
It was motivated by the need to convert Powerpoint (and other presentations)
to Web-browsable form, but will handle arbitrary Postscript files.
.PP
.B Webify
will create a directory containing newly-generated JPEGs and HTML
pages for browsing your document.
.PP
Use the
.B webify
command with no options to get a usage message and information on
the template file format as well as command line options.
.SH OPTIONS
.IP -d
debug mode
.IP "-g gsname"
specifies name of Ghostscript command to use; defaults to "gs"
.IP "-r #"
rotate image clockwise by # 90-degree increments.  Try -r 3 for landscape.
.IP "-Q quality"
quality image, quality  is  0  (worst)  to  100 (best); default is 75
.IP "-S size"
slide (page) resolution # dpi; dictates page size
.IP "-T size"
thumbnail resolution # dpi; dictates final size
.IP "-t title"
gives title of presentation/document
.IP "subdir"
destination directory, defaults to basename of postscript file
.SH BUGS
.IP
The PPM files temporarily generated by ghostscript can be big --
several megabytes per page.  Unfortunately they're all generated,
then all converted and deleted; this may require many megabytes of
temporary scratch space.
.SH "MORE DOCUMENTATION"
The web documentation for
.B webify
is
.nf
    http://cag-www.lcs.mit.edu/~ward/webify/webifydoc
.fi
.PP
See also the
.BR notes.html ,
.B webifydoc.ps.gz
and
.B webify.template
files provided with the software.
.SH AUTHORS
Steve Ward, ward@mit.edu
Robin Duquette, robin@ireq.ca


